/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.command;

import org.springframework.context.ApplicationEvent;

import lombok.Getter;

@Getter
public class CommandExecutedEvent extends ApplicationEvent {

	private static final long serialVersionUID = 1L;

	private final Command command;

	private String createdResource;

	@Deprecated
	public CommandExecutedEvent(String commandId) {
		super(commandId);

		command = null;
	}

	@Deprecated
	public CommandExecutedEvent(String commandId, String createdResource) {
		super(commandId);
		command = null;
		this.createdResource = createdResource;
	}

	public CommandExecutedEvent(Command command) {
		super(command.getId());

		this.command = command;
	}

	public CommandExecutedEvent(Command command, String createdResource) {
		super(command.getId());
		this.command = command;
		this.createdResource = createdResource;
	}

	@Override
	public String getSource() {
		return (String) super.getSource();
	}

}