/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.command;

import java.util.List;

import de.ozgcloud.command.Command;
import lombok.Builder;
import lombok.Getter;
import lombok.Singular;

@Builder
@Getter
public class CommandResponse {

	public static final String MESSAGE_CODE_COMMAND_VORGANG_ID_NOT_FOUND = "de.ozgcloud.vorgang.vorgang.command.error.invalid-vorgang-id";
	public static final String MESSAGE_CODE_COMMAND_VORGANG_DOCUMENT_VERSION_IS_OUTDATED = "de.ozgcloud.vorgang.vorgang.command.error.documentversion-outdated";
	public static final String MESSAGE_CODE_COMMAND_VORGANG_INVALID_DOCUMENT_STATUS = "de.ozgcloud.vorgang.vorgang.command.error.documentstatus-is-invalid";

	public enum ResponseCode {
		OK, PENDING, ERROR, CONFLICT;
	}

	private ResponseCode responseCode;

	private String messageCode;

	@Singular
	private List<String> messageParameters;

	private Command command;
}
