/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.command;

import java.util.Optional;
import java.util.stream.Stream;

import org.apache.commons.lang3.StringUtils;

public enum Order {

	VORGANG_ANNEHMEN,
	VORGANG_VERWERFEN,
	VORGANG_ZURUECKHOLEN,
	VORGANG_BEARBEITEN,
	VORGANG_BESCHEIDEN,
	VORGANG_ZURUECKSTELLEN,
	VORGANG_ABSCHLIESSEN,
	VORGANG_WIEDEREROEFFNEN,
	VORGANG_ZUM_LOESCHEN_MARKIEREN,
	VORGANG_LOESCHEN,
	LOCK_VORGANG,
	UNLOCK_VORGANG,

	ASSIGN_USER,

	SET_AKTENZEICHEN,

	REDIRECT_VORGANG,
	FORWARD_SUCCESSFULL,
	FORWARD_FAILED,
	FORWARD_VORGANG,

	SEND_POSTFACH_MAIL,
	RESEND_POSTFACH_MAIL,

	CREATE_ATTACHED_ITEM,
	UPDATE_ATTACHED_ITEM,
	PATCH_ATTACHED_ITEM,
	DELETE_ATTACHED_ITEM;

	public boolean isMeant(String orderString) {
		return StringUtils.equals(name(), orderString);
	}

	public static Optional<Order> fromString(String orderString) {
		return Stream.of(Order.values()).filter(order -> order.isMeant(orderString)).findFirst();
	}
}