/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.common.migration;

import org.springframework.data.mongodb.core.MongoTemplate;

import io.mongock.api.annotations.ChangeUnit;
import io.mongock.api.annotations.Execution;
import io.mongock.api.annotations.RollbackExecution;

@ChangeUnit(id = "2023-11-22 11:00:00 OZG-4191-OZG-4573", order = "M004", author = "mkuester", runAlways = true)
public class M004_UpdateNachrichtenManagerClientNameInVorgangAttachedItem { // NOSONAR

	static final String VORGANG_ATTACHED_ITEM = "vorgangAttachedItem";

	static final String OLD_CLIENT_NAME = "KopNachrichtenManager";
	static final String NEW_CLIENT_NAME = "OzgCloud_NachrichtenManager";

	@Execution
	public void doMigration(MongoTemplate template) {
		template.updateMulti(
				RenameUtil.createFindVorgangAttachedItemQuery(OLD_CLIENT_NAME),
				RenameUtil.createVorgangAttachedItemUpdate(NEW_CLIENT_NAME),
				VORGANG_ATTACHED_ITEM);
	}

	@RollbackExecution
	public void rollback() {
		// kein rollback implementiert
	}
}
