/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.files;

import de.ozgcloud.vorgang.callcontext.CallContextTestFactory;
import de.ozgcloud.vorgang.vorgang.VorgangTestFactory;

public class UploadedFilesReferenceTestFactory {

	public static final String VORGANG_ID = VorgangTestFactory.ID;
	public static final String NAME = OzgCloudFileTestFactory.FIELD_NAME;
	public static final String FILE_NAME = OzgCloudFileTestFactory.NAME;
	public static final String CLIENT = CallContextTestFactory.CLIENT;

	public static UploadedFilesReference create() {
		return createBuilder().build();
	}

	public static UploadedFilesReference.UploadedFilesReferenceBuilder createBuilder() {
		return UploadedFilesReference.builder()
				.vorgangId(VORGANG_ID)
				.client(CLIENT)
				.fileName(FILE_NAME)
				.name(NAME);
	}

	public static String getGridFsFileName() {
		return "%s/%s/%s/%s".formatted(VORGANG_ID, CallContextTestFactory.CLIENT, NAME, OzgCloudFileTestFactory.NAME);
	}
}