/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.vorgang;

import de.ozgcloud.vorgang.callcontext.UserTestFactory;
import de.ozgcloud.vorgang.vorgang.Vorgang.Status;

public class FilterCriteriaTestFactory {

	public static final String ORGANISATIONSEINHEIT_ID = ZustaendigeStelleTestFactory.ORGANISATIONSEINHEIT_ID;
	public static final boolean FILTER_BY_ORGANISATIONSEINHEITEN_ID = true;
	public static final Status STATUS = Status.NEU;
	public static final boolean FILTER_BY_ASSIGNED_TO = true;
	public static final boolean HAS_NEXT_WIEDERVORLAGE_FRIST = false;

	public static FilterCriteria createEmpty() {
		return FilterCriteria.builder().build();
	}

	public static FilterCriteria create() {
		return createBuilder().build();
	}

	public static FilterCriteria.FilterCriteriaBuilder createBuilder() {
		return FilterCriteria.builder()
				.filterByOrganisationseinheitenId(FILTER_BY_ORGANISATIONSEINHEITEN_ID)
				.organisationseinheitId(ORGANISATIONSEINHEIT_ID)
				.singleStatus(STATUS)
				.filterByAssignedTo(FILTER_BY_ASSIGNED_TO)
				.assignedTo(UserTestFactory.ID)
				.hasNextWiedervorlageFrist(HAS_NEXT_WIEDERVORLAGE_FRIST);
	}
}