/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.vorgang;

public class GrpcAntragstellerTestFactory {

	public final static String ANREDE = AntragstellerTestFactory.ANREDE;
	public final static String NACHNAME = AntragstellerTestFactory.NACHNAME;
	public final static String VORNAME = AntragstellerTestFactory.VORNAME;
	public final static String GEBURTSDATUM = AntragstellerTestFactory.GEBURTSDATUM;
	public final static String GEBURTSORT = AntragstellerTestFactory.GEBURTSORT;
	public final static String GEBURTSNAME = AntragstellerTestFactory.GEBURTSNAME;
	public final static String EMAIL = AntragstellerTestFactory.EMAIL;
	public final static String TELEFON = AntragstellerTestFactory.TELEFON;
	public final static String STRASSE = AntragstellerTestFactory.STRASSE;
	public final static String HAUSNUMMER = AntragstellerTestFactory.HAUSNUMMER;
	public final static String PLZ = AntragstellerTestFactory.PLZ;
	public final static String ORT = AntragstellerTestFactory.ORT;

	public final static String POSTFACH_ID = AntragstellerTestFactory.POSTFACH_ID;
	public final static GrpcFormData OTHER_DATA = GrpcFormData.newBuilder()
			.addField(GrpcFormField.newBuilder()
					.setName(AntragstellerTestFactory.OTHER_DATA_KEY)
					.setValue(AntragstellerTestFactory.OTHER_DATA_VALUE).build())
			.build();

	public static GrpcAntragsteller create() {
		return createBuilder().build();
	}

	public static GrpcAntragsteller.Builder createBuilder() {
		return GrpcAntragsteller.newBuilder()
				.setAnrede(ANREDE)
				.setFirmaName(AntragstellerTestFactory.FIRMA_NAME)
				.setGeburtsdatum(GEBURTSDATUM)
				.setNachname(NACHNAME)
				.setVorname(VORNAME)
				.setGeburtsname(GEBURTSNAME)
				.setGeburtsort(GEBURTSORT)
				.setEmail(EMAIL)
				.setTelefon(TELEFON)
				.setStrasse(STRASSE)
				.setHausnummer(HAUSNUMMER)
				.setPlz(PLZ)
				.setOrt(ORT)
				.setPostfachId(POSTFACH_ID)
				.setOtherData(OTHER_DATA);
	}
}