/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.vorgang;

import static de.ozgcloud.vorgang.common.operator.OperatorTestFactory.*;

import de.ozgcloud.vorgang.common.GrpcQueryOperator;

public class GrpcVorgangQueryExpressionTestFactory {

	public static final String PATH = "Vorgang.field";
	public static final GrpcQueryOperator OPERATOR = GrpcQueryOperator.EQUAL;

	public static GrpcVorgangQueryExpression create() {
		return createBuilder().build();
	}

	public static GrpcVorgangQueryExpression.Builder createBuilder() {
		return GrpcVorgangQueryExpression.newBuilder()
				.setPath(PATH)
				.setOperator(OPERATOR)
				.setOperandStringValue(STRING_VALUE);
	}
}
