/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.vorgang;

import de.ozgcloud.vorgang.clientattribute.GrpcClientAttributeTestFactory;
import de.ozgcloud.vorgang.command.GrpcUserTestFactory;

public class GrpcVorgangWithEingangTestFactory {

	static GrpcVorgangWithEingang create() {
		return createBuilder().build();
	}

	static GrpcVorgangWithEingang.Builder createBuilder() {
		return GrpcVorgangWithEingang.newBuilder()
				.setId(VorgangTestFactory.ID)
				.setName(VorgangTestFactory.NAME)
				.setAktenzeichen(VorgangTestFactory.AKTENZEICHEN)
				.setNummer(VorgangTestFactory.VORGANG_NUMMER)
				.setStatus(VorgangTestFactory.STATUS.name())
				.setCreatedAt(VorgangTestFactory.INITIAL_DATE_STR)
				.setHeader(GrpcVorgangHeadTestFactory.create())
				.setEingang(GrpcEingangTestFactory.create())
				.setVersion(VorgangTestFactory.VERSION)
				.setAssignedTo(GrpcUserTestFactory.ID)
				.addClientAttributes(GrpcClientAttributeTestFactory.create());
	}
}