/*
 * Copyright (C) 2025 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.vorgang.redirect;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.vorgang.vorgang.redirect.Address.AddressBuilder;

class AddressTestFactory {

	public static final String STREET = LoremIpsum.getInstance().getName();
	public static final String HOUSE_NUMBER = "42a";
	public static final String ZIP_CODE = LoremIpsum.getInstance().getZipCode();
	public static final String CITY = LoremIpsum.getInstance().getCity();

	public static Address create() {
		return createBuilder().build();
	}

	public static AddressBuilder createBuilder() {
		return new AddressBuilder()
				.street(STREET)
				.houseNumber(HOUSE_NUMBER)
				.zipCode(ZIP_CODE)
				.city(CITY);
	}
}
