/*
 * Copyright (C) 2025 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.vorgang.redirect;

import de.ozgcloud.eingang.forwarding.GrpcAttachmentFile;
import de.ozgcloud.eingang.forwarding.GrpcAttachmentFile.Builder;
import de.ozgcloud.vorgang.vorgang.IncomingFileGroupTestFactory;
import de.ozgcloud.vorgang.vorgang.IncomingFileTestFactory;

public class GrpcAttachmentFileTestFactory {

	public static final String GROUP_NAME = IncomingFileGroupTestFactory.NAME;

	public static GrpcAttachmentFile create() {
		return createBuilder().build();
	}

	public static Builder createBuilder() {
		return GrpcAttachmentFile.newBuilder()
				.setGroupName(GROUP_NAME)
				.setFileName(IncomingFileTestFactory.NAME)
				.setContentType(IncomingFileTestFactory.CONTENT_TYPE_STR)
				.setVendorId(IncomingFileTestFactory.VENDOR_ID)
				.setSize(IncomingFileTestFactory.SIZE);
	}

}
