/*
 * Copyright (C) 2025 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.vorgang.redirect;

import org.apache.commons.lang3.RandomUtils;

import com.google.protobuf.ByteString;

import de.ozgcloud.eingang.forwarding.GrpcFileContent;
import de.ozgcloud.eingang.forwarding.GrpcFileContent.Builder;

public class GrpcFileContentTestFactory {

	public static final boolean IS_END_OF_FILE = false;
	public static final byte[] CONTENT = RandomUtils.insecure().randomBytes(10);;

	public static GrpcFileContent create() {
		return createBuilder().build();
	}

	public static Builder createBuilder() {
		return GrpcFileContent.newBuilder()
				.setContent(ByteString.copyFrom(CONTENT))
				.setIsEndOfFile(IS_END_OF_FILE);
	}

	public static GrpcFileContent createEndOfFile() {
		return GrpcFileContent.newBuilder().setIsEndOfFile(true).build();
	}

}
